Bug 1460153 - Overview page Application's drop-down menu partly hides when deployment is running
Summary: Overview page Application's drop-down menu partly hides when deployment is ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.7.0
Assignee: Steve Goodwin
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-09 09:17 UTC by xipang
Modified: 2017-11-28 21:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: On the project overview, application services are collapsable and expandable. Consequence: The dropdown menu is clipped when the application row is collapsed, because it is set to overflow: hidden; Fix: Removed overflow: hidden Result: The dropdown menu is now fully visiable.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:56:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
some part hides (9.20 KB, image/png)
2017-06-09 09:17 UTC, xipang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description xipang 2017-06-09 09:17:01 UTC
Created attachment 1286359 [details]
some part hides

Description of problem:
Overview page Application's drop-down menu partly hides when deployment is running

Version-Release number of selected component (if applicable):
openshift v3.6.100

How reproducible:
Always

Steps to Reproduce:
1. Create project, create resources
$ oc new-app -f ...
2. In web console overview page, in one Application's right, click the drop-down menu --> Deploy
3. When the deployment is in running status, click the drop-down menu again

Actual results:
3. Part of the drop-down menu is hidden, see attachment

Expected results:
3. Should not hide

Additional info:

Comment 1 Jessica Forrester 2017-06-09 18:24:10 UTC
Steve we suspect this is being caused by a class being added during the deployment animation.

Comment 2 openshift-github-bot 2017-06-13 23:10:51 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/96fab4dda4b1deae9decc6fc08aded3b19981ab4
Merge pull request #1698 from sg00dwin/overview-app-dropdown-bug1460153

Merged by openshift-bot

Comment 3 XiaochuanWang 2017-06-16 09:55:18 UTC
Tested on OpenShift v3.6.109, the drop-down menu is now not hidden , so this bug could be verified.

Comment 6 errata-xmlrpc 2017-11-28 21:56:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.